aboutsummaryrefslogtreecommitdiff
path: root/scripts/record-application-name.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/record-application-name.sh')
-rwxr-xr-xscripts/record-application-name.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/scripts/record-application-name.sh b/scripts/record-application-name.sh
new file mode 100755
index 0000000..723d067
--- /dev/null
+++ b/scripts/record-application-name.sh
@@ -0,0 +1,5 @@
+#!/bin/sh
+
+window=$(xdotool selectwindow)
+window_name=$(xdotool getwindowclassname "$window" || xdotool getwindowname "$window" || echo "game")
+gpu-screen-recorder -w screen -f 60 -a "$(pactl get-default-sink).monitor" -o "$HOME/Videos/recording/$window_name/$(date +"Video_%Y-%m-%d_%H-%M-%S.mp4")"